List Connector Bindings
GET
/v1/connectors/bindings
const url = 'https://example.com/v1/connectors/bindings';const options = {method: 'GET', headers: {'X-FractalOps-Tenant-Id': 'example'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/connectors/bindings \ --header 'X-FractalOps-Tenant-Id: example'Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
ConnectorBindingListOut
object
items
Items
Array<object>
ConnectorBindingOutExamplegenerated
{ "items": [ { "tenant_id": "example", "id": "example", "connector_id": "example", "base_url": "example", "client_id": "example", "secret_ref": "example", "enabled": true, "metadata": {} } ]}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}